# Generated by Django 3.2.22 on 2023-10-13 09:29

import django.contrib.postgres.fields
from django.db import migrations, models

def long_lat_to_coords(apps, schema_editor):
    Inventory = apps.get_model('core', 'Inventory')
    for inventory in Inventory.objects.filter(latitude__isnull=False):
        inventory.coordinates = [[inventory.latitude, inventory.longitude]]
        inventory.save()

def coords_to_long_lat(apps, schema_editor):
    Inventory = apps.get_model('core', 'Inventory')
    for inventory in Inventory.objects.filter(coordinates__isnull=False):
        inventory.latitude = inventory.coordinates[0][0]
        inventory.longitude = inventory.coordinates[0][1]
        inventory.save()

class Migration(migrations.Migration):

    dependencies = [
        ('core', '0028_update_stratum'),
    ]

    operations = [
        migrations.AddField(
            model_name='historicalinventory',
            name='coordinates',
            field=django.contrib.postgres.fields.ArrayField(base_field=django.contrib.postgres.fields.ArrayField(
                base_field=models.DecimalField(decimal_places=6, max_digits=9), size=2), null=True, blank=True,
                size=None),
        ),
        migrations.AddField(
            model_name='inventory',
            name='coordinates',
            field=django.contrib.postgres.fields.ArrayField(base_field=django.contrib.postgres.fields.ArrayField(
                base_field=models.DecimalField(decimal_places=6, max_digits=9), size=2), null=True, blank=True,
                size=None),
        ),
        migrations.RunPython(long_lat_to_coords, coords_to_long_lat),
        migrations.RemoveField(
            model_name='historicalinventory',
            name='latitude',
        ),
        migrations.RemoveField(
            model_name='historicalinventory',
            name='longitude',
        ),
        migrations.RemoveField(
            model_name='inventory',
            name='latitude',
        ),
        migrations.RemoveField(
            model_name='inventory',
            name='longitude',
        ),
    ]
